unit uPluginPedidosProveedor;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCPedidosProveedor = interface(IInterface)
  ['{E2ACE521-1B3E-4AFD-99F4-058E328D39D1}']
  end;

  TPluginPedidosProveedor = class(TModuleController, IMCPedidosProveedor)
    actPedidosProveedor: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    procedure actPedidosProveedorExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uPedidosProveedorController, uBizPedidosProveedor, uPedidosProveedorViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginPedidosProveedor.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginPedidosProveedor.actPedidosProveedorExecute(Sender: TObject);
var
  APedidosProveedorController : IPedidosProveedorController;
  APedidosProveedor : IBizPedidoProveedor;

begin
  APedidosProveedorController := TPedidosProveedorController.Create;
  APedidosProveedor := (APedidosProveedorController.BuscarTodos as IBizPedidoProveedor);
  APedidosProveedorController.VerTodos(APedidosProveedor);
end;

constructor TPluginPedidosProveedor.Create(AOwner: TComponent);
begin
  inherited;
  uPedidosProveedorViewRegister.RegisterViews;
end;

destructor TPluginPedidosProveedor.Destroy;
begin
  uPedidosProveedorViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginPedidosProveedor);

finalization
  UnRegisterModuleClass(TPluginPedidosProveedor);

end.
